#pragma once
#include "node.h"
#include "shape.h"

class NodeBorder : public Node
{
public:
    static Plane m_plane;
    glm::vec4 m_color{ 0, 0, 0, 1 };
    glm::vec4 m_border_color{ 1, 1, 1, 1 };
    float m_thinkness{ 0 };
    NodeBorder();
    static void static_init();
    virtual Node* clone_instantiate() const override;
    virtual void clone_copy(Node* dest) const override;
    virtual void parse_attributes(kAttribute ka, const tinyxml2::XMLAttribute* attr) override;
    virtual void draw() override;
};
